{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/delete') }}
{% endblock %}

{% block tabBar %}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('person_management_person_base_data', {'personId': person.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakt, {{ person.name }}</span>
        {{ form_widget(personDeleteForm.delete, {'label': 'LÖSCHEN', 'id': personDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der Kontakt und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um den Kontakt endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">kontakt_{{ person.getId() }}</span>
            </p>
            {{ form_start(personDeleteForm, {'attr': {'id': personDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'person_management/form/person/delete_form.html.twig' with {'form': personDeleteForm} only %}
            {{ form_row(personDeleteForm._token) }}
            {{ form_end(personDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card px-3 py-4 mb-4">
            {% include 'person_management/form/person/person_form.html.twig' with {
                'form': personForm,
                'personType': person.personType
            } only %}
        </div>
    </div>
{% endblock %}
